micro_utils.dokka
0.15.1

# ExposedStandardVersionsRepoProxy

class ExposedStandardVersionsRepoProxy(val database: <Error class: unknown class>) : StandardVersionsRepoProxy<<Error class: unknown class>> , ExposedRepo

## Constructors

ExposedStandardVersionsRepoProxy
Link copied to clipboard
fun ExposedStandardVersionsRepoProxy(database: <Error class: unknown class>)

## Functions

getTableVersion
Link copied to clipboard
open suspend override fun getTableVersion(tableName: String): Int?
updateTableVersion
Link copied to clipboard
open suspend override fun updateTableVersion(tableName: String, version: Int)

## Properties

database
Link copied to clipboard
open override val database: <Error class: unknown class>
selectAll
Link copied to clipboard
open val selectAll: <Error class: unknown class>.() -> <Error class: unknown class>
tableNameColumn
Link copied to clipboard
val tableNameColumn: <Error class: unknown class>
tableVersionColumn
Link copied to clipboard
val tableVersionColumn: <Error class: unknown class>